package com.inspect.patrol.linkage.frame;

import java.util.List;

public interface IBaseFrame {
    void initReceiveFrame(byte[] frameBytes);

    void saveContentToRedis() throws Exception;

    boolean hasNext();

    boolean checkFrame();

    String readContentFrommRedis() throws Exception;

    void initSendFrame(String... frames);

    List<byte[]> combineSendFrame(String frame);
}
